package com.gic.spark.util;

import com.gic.spark.entity.table.TabDataActuallyPaidConfig;
import scala.Tuple2;

import java.util.HashMap;
import java.util.Map;

/**
 * @description:
 * @author: wangxk
 * @date: 2019/6/24
 */
public class CommonUtil {

    public static Map<Integer,TabDataActuallyPaidConfig> dataActuallyPaidConfigMap=new HashMap();

    /**
     * 1:实付
     * 0:关闭（应付）
     * @param enterprise_Id
     * @return
     */
    public static Integer getConfigStatus(Integer enterprise_Id){
        TabDataActuallyPaidConfig dataActuallyPaidConfig=dataActuallyPaidConfigMap.get(enterprise_Id);
        if(null==dataActuallyPaidConfig||null==dataActuallyPaidConfig.getConfig_Status()){
            return 0;
        }else{
            return dataActuallyPaidConfig.getConfig_Status();
        }
    }

    public static int isEmptyInteger2int(Integer param,int defaultValue){
        return null==param?defaultValue:param;
    }
    public static int isEmptyInteger2int(Integer param){
        return isEmptyInteger2int(param,0);
    }
    public static long isEmptyLong2long(Long param,long defaultValue){
        return null==param?defaultValue:param;
    }
    public static long isEmptyLong2long(Long param){
        return isEmptyLong2long(param,0l);
    }
    public static float isEmptyFloat2float(Float param,float defaultValue){
        return null==param?defaultValue:param;
    }
    public static float isEmptyFloat2float(Float param){
        return isEmptyFloat2float(param,0f);
    }
    public static double isEmptyDouble2double(Double param,double defaultValue){
        return null==param?defaultValue:param;
    }
    public static double isEmptyDouble2double(Double param){
        return isEmptyDouble2double(param,0d);
    }

}
